# Functions

set_xcap_root(string xcap_root)

  Overrides XCAP root settings for one config script call. The parameter has to be string (AVP not allowed now).

xcap_query

  This function does the XCAP query. It is no accessible from script, it can be called only internaly. It is by default called from XCAP library.

fill_xcap_params

  This function fills internal data structure with XCAP query parameters according to XCAP module settings. It can not be called from script. (Prepared for authentication to XCAP server, ...)

## XCAP module functions usage

This example shows config file overridding XCAP root settings.

    ...
    modparam("xcap", "xcap_root", "http://xcap/xcap")
    ...

    route {

    	...

    	if (lookup_domain("To")) {
    		if ($t.did == "domain1") {
    			# change XCAP root for domain1
    			set_xcap_root("http://xcap/xcap-for-domain1/");
    		}
    		# else leave default XCAP root and file names
    	}

    	...